# arm_mat_ldlt_f32.c File Reference

CMSIS-DSP: arm_mat_ldlt_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_mat_ldlt_f32.c File Reference

## Macros

#define | SWAP_ROWS_F32(A, i, j)
#define | SWAP_COLS_F32(A, i, j)

## Functions

arm_status | arm_mat_ldlt_f32 (const arm_matrix_instance_f32 *pSrc, arm_matrix_instance_f32 *pl, arm_matrix_instance_f32 *pd, uint16_t *pp)
| Floating-point LDL^t decomposition of positive semi-definite matrix. More...

## Macro Definition Documentation

#define SWAP_COLS_F32 | ( |  | A,
|  |  | i,
|  |  | j
| ) |  |

#define SWAP_ROWS_F32 | ( |  | A,
|  |  | i,
|  |  | j
| ) |  |